library finap_datetime_helper;

import 'package:intl/intl.dart';

class DateTimeHelper {
  static int getNowFromMilliseconds() {
    try {
      return DateTime.now().toUtc().millisecondsSinceEpoch;
    } on Exception catch (e) {
      print(e.toString());
      return 0;
    }
  }

  static DateTime? getDate(int miliseconds) {
    try {
      return DateTime.fromMillisecondsSinceEpoch(miliseconds, isUtc: true);
    } on Exception catch (e) {
      print(e.toString());
      return null;
    }
  }

  static String? getDateString(int? miliseconds) {
    final formatter = DateFormat('dd-MMM-yyyy hh:mm a');
    if (miliseconds == null) return '';
    final date = getDate(miliseconds);
    if (date != null) {
      return formatter.format(date.toLocal());
    }
    return '';
  }

  static String? getDateInSecondsString(int? seconds) {
    final formatter = DateFormat('dd-MMM-yyyy hh:mm a');
    if (seconds == null) return '';
    final date = getDate(seconds * 1000);
    if (date != null) {
      return formatter.format(date.toLocal());
    }
    return '';
  }

  static String? getOnlyDateString(int? miliseconds) {
    final formatter = DateFormat('dd-MMM-yyyy');
    if (miliseconds == null) return '';
    final date = getDate(miliseconds);
    if (date != null) {
      return formatter.format(date.toLocal());
    }
    return '';
  }

  static String? format(int miliseconds, String? formatter) {
    return null;
  }
}
